Index: code/branches/tutorial/src/orxonox/objects/controllers/DroneController.cc
===================================================================
--- code/branches/tutorial/src/orxonox/objects/controllers/DroneController.cc	(revision 2764)
+++ code/branches/tutorial/src/orxonox/objects/controllers/DroneController.cc	(revision 2765)
@@ -30,4 +30,5 @@
 #include "DroneController.h"
 #include "objects/worldentities/Drone.h"
+#include "util/Math.h"
 
 
@@ -58,6 +59,9 @@
         totaltime += dt;
         Drone *myDrone = static_cast<Drone*>(this->getControllableEntity());
-        myDrone->rotateRoll(1000);
-        myDrone->moveFrontBack( 1000 );
+        if(totaltime<1)
+        {
+            myDrone->moveFrontBack( -sqrt(dt) );
+            myDrone->rotatePitch(-dt);
+        }
     }
 }
Index: code/branches/tutorial/src/orxonox/objects/worldentities/Drone.cc
===================================================================
--- code/branches/tutorial/src/orxonox/objects/worldentities/Drone.cc	(revision 2764)
+++ code/branches/tutorial/src/orxonox/objects/worldentities/Drone.cc	(revision 2765)
@@ -44,20 +44,23 @@
         // - register the drone class to the core
         // - create a new controller and pass our this pointer to it as creator
-        this->myController = 0;
+        this->myController_ = 0;
         RegisterObject(Drone);
         
         this->localLinearAcceleration_.setValue(0, 0, 0);
-        this->localAngularAcceleration_.setValue(0, 0, 0);this->rotationThrust_ = 0;
+        this->localAngularAcceleration_.setValue(0, 0, 0);
+        this->primaryThrust_  = 100;
+        this->auxilaryThrust_ = 100;
+        this->rotationThrust_ = 10;
         this->steering_ = Vector3::ZERO;
         
         this->setCollisionType(WorldEntity::Dynamic);
         
-        myController = new DroneController(static_cast<BaseObject*>(this));
+        myController_ = new DroneController(static_cast<BaseObject*>(this));
     }
 
     Drone::~Drone()
     {
-        if( this->myController )
-            delete this->myController;
+        if( this->myController_ )
+            delete this->myController_;
     }
 
@@ -67,4 +70,6 @@
         SUPER(Drone, XMLPort, xmlelement, mode);
 
+        XMLPortParamVariable(Drone, "primaryThrust",  primaryThrust_,  xmlelement, mode);
+        XMLPortParamVariable(Drone, "auxilaryThrust", auxilaryThrust_, xmlelement, mode);
         XMLPortParamVariable(Drone, "rotationThrust", rotationThrust_, xmlelement, mode);
     }
@@ -76,4 +81,13 @@
         //if (this->hasLocalController())
         //{
+            this->localLinearAcceleration_.setX(this->localLinearAcceleration_.x() * getMass() * this->auxilaryThrust_);
+            this->localLinearAcceleration_.setY(this->localLinearAcceleration_.y() * getMass() * this->auxilaryThrust_);
+            if (this->localLinearAcceleration_.z() > 0)
+              this->localLinearAcceleration_.setZ(this->localLinearAcceleration_.z() * getMass() * this->auxilaryThrust_);
+            else
+              this->localLinearAcceleration_.setZ(this->localLinearAcceleration_.z() * getMass() * this->primaryThrust_);
+            this->physicalBody_->applyCentralForce(physicalBody_->getWorldTransform().getBasis() * this->localLinearAcceleration_);
+            this->localLinearAcceleration_.setValue(0, 0, 0);
+        
             this->localAngularAcceleration_ *= this->getLocalInertia() * this->rotationThrust_;
             this->physicalBody_->applyTorque(physicalBody_->getWorldTransform().getBasis() * this->localAngularAcceleration_);
Index: code/branches/tutorial/src/orxonox/objects/worldentities/Drone.h
===================================================================
--- code/branches/tutorial/src/orxonox/objects/worldentities/Drone.h	(revision 2764)
+++ code/branches/tutorial/src/orxonox/objects/worldentities/Drone.h	(revision 2765)
@@ -70,9 +70,11 @@
             
         private:
-            DroneController *myController;
+            DroneController *myController_;
             
             Vector3 steering_;
             btVector3 localLinearAcceleration_;
             btVector3 localAngularAcceleration_;
+            float primaryThrust_;
+            float auxilaryThrust_;
             float rotationThrust_;
     };
